boolean_generator(3)

NAME
boolean_generator - The class boolean_generator can be used in the STL generate function to easily generate random booleans with a specified bias.

SYNOPSIS

#include <rnd_generators.h>

  Public Member Functions
boolean_generator (float _bias=0.5, eoRng &_rng=rng)
bool operator() (void)

  Private Attributes
float bias
eoRng & gen

Detailed Description

The class boolean_generator can be used in the STL generate function to easily generate random booleans with a specified bias.

Definition at line 70 of file rnd_generators.h.

Author

Generated automatically by Doxygen for EO from the source code.